## org.apache.mahout.common.iterator
Class EmptyIterator<T>

    java.lang.Object
      org.apache.mahout.common.iterator.EmptyIterator<T>

All Implemented Interfaces:
  java.util.Iterator<T>

    public final class EmptyIterator<T>

extends java.lang.Object
implements java.util.Iterator<T>

An empty `Iterator`, which iterates over nothing.

Constructor Summary
`EmptyIterator()`

Method Summary
`boolean` `hasNext()`
`T` `next()`
`void` `remove()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmptyIterator

    public EmptyIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<T>`
  Returns:
    false

### next

    public T next()

  Specified by:
    `next` in interface `java.util.Iterator<T>`
  Returns:
    never returns anything

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<T>`
  Throws:
    `java.lang.UnsupportedOperationException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.